<?php

namespace GiveSquare\Addon;

use Give\Framework\Migrations\MigrationsRegister;
use GiveSquare\Addon\Migrations\RenewLiveAndSandboxSquareAccessToken;

/**
 * @since 1.2.0
 */
class ServiceProvider implements \Give\ServiceProviders\ServiceProvider
{

    /**
     * @since 1.2.0
     * @inerhitDoc
     * @return void
     */
    public function register()
    {
    }

    /**
     * @since 1.2.0
     * @inerhitDoc
     * @return void
     */
    public function boot()
    {
        give(MigrationsRegister::class)->addMigration(RenewLiveAndSandboxSquareAccessToken::class);
    }
}
