<?php

namespace GiveSquare\GatewayConnect\Actions;

use Give\Framework\Exceptions\Primitives\Exception;
use GiveSquare\GatewayConnect\Api\RetrieveTokenStatus;

/**
 * @since 2.0.0
 */
class RetrieveSquareTokenScopes
{
    /**
     * @since 2.0.2 Return an empty array if an exception is thrown.
     * @since      2.0.0
     */
    public function __invoke(): array
    {
        try {
            return (new RetrieveTokenStatus())()->scopes;
        } catch (Exception $e) {
            return [];
        }
    }
}
